<template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated>
      <q-toolbar>
        <q-btn
          flat
          dense
          round
          icon="menu"
          aria-label="Menu"
          @click="leftDrawerOpen = !leftDrawerOpen"
        />

        <q-toolbar-title>
          Rss Feed Agregator
        </q-toolbar-title>

	<!-- RIGHT -->
        <div></div>
      </q-toolbar>
    </q-header>

    <q-drawer
      v-model="leftDrawerOpen"
      show-if-above
      bordered
      content-class="bg-grey-1"
    >
      <q-list>
        <q-item-label
          header
          class="text-grey-8"
        >
          Essential Links
        </q-item-label>
        <EssentialLink
          v-for="link in essentialLinks"
          :key="link.title"
          v-bind="link"
        />
      </q-list>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
import EssentialLink from 'components/EssentialLink'

export default {
  name: 'MainLayout',

  components: {
    EssentialLink
  },

  data () {
    return {
      leftDrawerOpen: false,
      essentialLinks: [
        {
          title: 'Sign Up',
          caption: 'Sign Up in App',
          icon: 'input',
          link: '/signup'
        },
        {
          title: 'Log In',
          caption: 'Login in App',
          icon: 'exit_to_app',
          link: '/login'
        },
        {
          title: 'Add Feed',
          caption: 'Add Feed to server',
          icon: 'add',
          link: '/addFeed'
        },
        {
          title: 'get Feeds',
          caption: 'get Feeds',
          icon: 'rss_feed',
          link: '/getFeeds'
        }
	]
    }
  }
}
</script>
